View previous topic :: View next topic |
Author |
Message |
Ralphred l33t
Joined: 31 Dec 2013 Posts: 649
|
Posted: Tue Oct 22, 2024 4:11 pm Post subject: Discord - A Rant |
|
|
Don't get me wrong, I like the software, - drag and drop images/files/video
- works on android, can insta-send camera pictures w/o hassle
- can screen share
- have live a/v comms
it's all good.
But this incessantly short update interval? Now I know for a fact I can't be the only one who thinks "Oh FFS, again, already, really?" because this must be exactly what the portage ebuild maintainer thinks every 10 days.
A lot of the time I end up version bumping in my local overlay, but even then it shows "Installing update X of 6" on startup.
Well enough, today I "wrote" meta-ebuilds for version 0.73 - 0.99. Every night at midnight a cron job makes the "next" version ebuild in /var/db/repos/local... and tries to digest it, if it fails to digest it deletes the ebuild, if it passes it installs it.
The question is, if this pinnacle of applied laziness works, what should the "dynamic discord overlay" be called?
I was thinking of TheDiscordantReleaseCycle overlay, but not I'm sure about case sensitivity and it's true meaning being lost... |
|
Back to top |
|
|
arran4 n00b
Joined: 19 Sep 2003 Posts: 13 Location: Melbourne, Australia
|
Posted: Wed Oct 23, 2024 12:45 am Post subject: |
|
|
Short release windows enabled by CI/CD / TDD by the looks of it. Usually for "web" things it isn't that noticeable because people effectively download a new version of the "webapp" each visit. But being bundled in to electron you do..
Try using it in the browser only, or using it via a matrix bridge. |
|
Back to top |
|
|
Geneslaf n00b
Joined: 07 Jul 2014 Posts: 10
|
Posted: Wed Oct 23, 2024 11:48 am Post subject: |
|
|
I to got frustrated so went the live ebuild direction using the same method as dev-lang/julia-bin.
Code: |
--- /var/db/repos/gentoo/net-im/discord/discord-0.0.72.ebuild 2024-10-22 12:41:26.000000000 +0100
+++ /var/db/repos/local/net-im/discord/discord-9999.ebuild 2024-10-10 17:58:28.266000000 +0100
@@ -16,12 +16,13 @@
DESCRIPTION="All-in-one voice and text chat for gamers"
HOMEPAGE="https://discord.com/"
-SRC_URI="https://dl.discordapp.net/apps/linux/${MY_PV}/${MY_PN}-${MY_PV}.tar.gz"
+SRC_URI=""
+PROPERTIES="live"
S="${WORKDIR}/${MY_PN^}"
LICENSE="all-rights-reserved"
SLOT="0"
-KEYWORDS="amd64"
+KEYWORDS=""
IUSE="appindicator +seccomp wayland"
RESTRICT="bindist mirror strip test"
@@ -64,7 +65,11 @@
CONFIG_CHECK="~USER_NS"
src_unpack() {
- unpack ${MY_PN}-${MY_PV}.tar.gz
+ if ! use amd64; then
+ die "only amd64 arch supported"
+ fi
+ wget -O "${T}/discord.tar.gz" "https://discord.com/api/download?platform=linux&format=tar.gz"
+ unpack "${T}/discord.tar.gz"
}
src_configure() {
|
BTW you can find out what the latest version available is by seeing what above download redirects to
Code: |
$ wget -S --spider "https://discord.com/api/download?platform=linux&format=tar.gz" 2>&1 | grep Location:
Location: https://stable.dl2.discordapp.net/apps/linux/0.0.72/discord-0.0.72.tar.gz [following]
|
I was going to do something similar to you using that info, check for version change, generate new ebuild, generate manifest but decided to be lazy and did a live ebuild instead. Just have to emerge again when discord demands an update. |
|
Back to top |
|
|
Max Steel Advocate
Joined: 12 Feb 2007 Posts: 2267 Location: My own world! I and Gentoo!
|
Posted: Wed Oct 23, 2024 11:55 am Post subject: |
|
|
Oh yeah, i do that too... Not with the meta-live-autoupdate ebuild but in local overlay bumping versions every week.
And i dont get why... That ebuild only installs like an chromium engine for their webapp anyway. It's not like they publish new features any now and then. It's just an chromium engine installed and a little starter which downloads the app anyway to local home storage.
I like the "discordrantoverlay" name for that. Please do that if it's working. _________________ mfg
Steel
___________________
Heim-PC: AMD Ryzen 5950X, 64GB RAM, GTX 1080
Laptop: Intel Core i5-4300U, 16GB RAM, Intel Graphic
Arbeit-PC: Intel i5-1145G7, 16GB RAM, Intel Iris Xe Graphic (leider WSL2) |
|
Back to top |
|
|
Naib Watchman
Joined: 21 May 2004 Posts: 6065 Location: Removed by Neddy
|
Posted: Wed Oct 23, 2024 4:47 pm Post subject: |
|
|
So the way I got around this is create the config file to not enforce version compatibility. This way I can keep using discord while the Gentoo release cycle works
Discord is just a web app so there is no risk of being incompatible _________________
Quote: | Removed by Chiitoo |
|
|
Back to top |
|
|
Ralphred l33t
Joined: 31 Dec 2013 Posts: 649
|
Posted: Wed Oct 23, 2024 7:39 pm Post subject: |
|
|
Naib wrote: | So the way I got around this is create the config file to not enforce version compatibility. |
Please, tell us more, this seems far more sensible. |
|
Back to top |
|
|
Naib Watchman
Joined: 21 May 2004 Posts: 6065 Location: Removed by Neddy
|
Posted: Sat Oct 26, 2024 5:34 pm Post subject: |
|
|
Ralphred wrote: | Naib wrote: | So the way I got around this is create the config file to not enforce version compatibility. |
Please, tell us more, this seems far more sensible. |
Code: | cat ~/.config/discord/settings.json
{
"IS_MAXIMIZED": false,
"IS_MINIMIZED": false,
"WINDOW_BOUNDS": {
"x": 0,
"y": 0,
"width": 1389,
"height": 828
},
"trayBalloonShown": true,
"BACKGROUND_COLOR": "#202225",
"MINIMIZE_TO_TRAY": true,
"SKIP_HOST_UPDATE": true,
"chromiumSwitches": {} |
SKIP_HOST_UPDATE is key _________________
Quote: | Removed by Chiitoo |
|
|
Back to top |
|
|
Ralphred l33t
Joined: 31 Dec 2013 Posts: 649
|
Posted: Tue Nov 05, 2024 9:33 pm Post subject: |
|
|
Naib wrote: | Useful things | This works great - Thanks Niab. |
|
Back to top |
|
|
|
|
You cannot post new topics in this forum You cannot reply to topics in this forum You cannot edit your posts in this forum You cannot delete your posts in this forum You cannot vote in polls in this forum
|
|